[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.FontChanging

Implements the OnChanging event handler for the Font used on the canvas.

## Declaration

Source position: graphics.pp line 1079

`protected procedure TCanvas.FontChanging(`
`AFont: TObject`
`); virtual;`

## Arguments

`AFont` |  | Not used in the current implementation of the method.

## Description

FontChanging is assigned as the OnChanging event handler for the Font property in the constructor for the class instance. It allows the canvas class to be notified and updated when a new font is assigned to the canvas.

FontChanging ensures that both the Handle and the Font for the canvas are valid. No actions are performed in the method if State does not contain the values csFontValid and csHandleValid. It removes csFontValid from the States property and reselects the handle for the Font in the control.

## See also

TCanvas.Font |  | Contains the Font used to render text on the drawing surface.
TCanvas.Create |  | Constructor for the class instance.
TCanvas.OnChange |  | Event handler signalled after a change to the canvas.
TFont |  | Represents a font used to draw text in an application.